
# Security Policy

At Shimoku, we take security seriously and are committed to protecting the security of our users' data. If you have discovered a security vulnerability, please report it to us as described below.

## Supported Versions

Use this section to tell people about which versions of your project are
currently being supported with security updates.

| Version | Supported          |
| ------- | ------------------ |
| 1.0.x   | ✅ |
| < 0.20.x   | 🚫 |

## Reporting a Vulnerability

To report a security vulnerability, please send an email to [contact@shimoku.com](mailto:contact@shimoku.com). Please include the following information in your email:

- A description of the vulnerability
- The affected component(s) of the Shimoku API Python
- Steps to reproduce the vulnerability
- Any relevant code or screenshots

We will respond to your email as quickly as possible and will take all necessary steps to address the vulnerability.

## Rewards Program

We value the contributions of security researchers and are committed to working with them to ensure the security of our users' data. As a result, we have a rewards program in place for those who responsibly disclose security vulnerabilities to us.

If you have discovered a security vulnerability and would like to receive recognition and a reward, please follow the reporting guidelines above and we will work with you to ensure that your contribution is acknowledged and rewarded.

## Responsible Disclosure

We ask that all security researchers follow responsible disclosure principles and do not publicly disclose vulnerabilities until we have had a chance to address them.

## Acknowledgements

We would like to thank all security researchers who have responsibly disclosed vulnerabilities to us. Your contributions help us to ensure the security of our users' data.